# keystone.credential.providers.fernet.core module

class keystone.credential.providers.fernet.core.Provider

  Bases: `Provider`

  decrypt(credential)

    Attempt to decrypt a credential.

    Parameters:

      credential – an encrypted credential string

    Returns:

      a decrypted credential

  encrypt(credential)

    Attempt to encrypt a plaintext credential.

    Parameters:

      credential – a plaintext representation of a credential

    Returns:

      an encrypted credential

keystone.credential.providers.fernet.core.get_multi_fernet_keys()

keystone.credential.providers.fernet.core.primary_key_hash(keys)

  Calculate a hash of the primary key used for encryption.

this page last updated: 2026-08-17 12:45:24

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug